Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal
Interface Portal

All Known Subinterfaces:
  Portlet

All Known Implementing Classes:
  PortalJspBean, DefaultPortal

public interface Portal

This is the public interface class for the portal object.

Method Summary
`int` | `getContentColumnCount()` Gets the content column count URL.
`java.lang.String` | `getContentURL()` Gets the content URL.
`java.lang.String` | `getFooterURL()` Gets the footer URL.
`java.lang.String` | `getHeaderURL()` Gets the header URL.
`java.lang.String` | `getName()` Gets the portal name.
`java.lang.String` | `getSuspendedURL()` Returns the suspended URL.
`boolean` | `isSuspended()` Returns the suspended state.
`void` | `setContentColumnCount(int aCount)` Sets the content column count.
`void` | `setContentURL(java.lang.String aURL)` Sets the content URL.
`void` | `setFooterURL(java.lang.String aURL)` Sets the footer URL.
`void` | `setHeaderURL(java.lang.String aURL)` Sets the header URL.
`void` | `setName(java.lang.String aName)` Sets the portal name.
`void` | `setSuspended(boolean aBool)` Returns the suspended state.
`void` | `setSuspendedURL(java.lang.String aURL)` Sets the suspended URL.

Method Detail

### setName

    public void setName(java.lang.String aName)

  Sets the portal name.
  Parameters:
    `aName` - The portal name.

### getName

    public java.lang.String getName()

  Gets the portal name.
  Returns:
    The name of the portal.

### getHeaderURL

    public java.lang.String getHeaderURL()

  Gets the header URL.
  Returns:
    The header URL.

### setHeaderURL

    public void setHeaderURL(java.lang.String aURL)

  Sets the header URL.
  Parameters:
    `aURL` - The header URL.

### getFooterURL

    public java.lang.String getFooterURL()

  Gets the footer URL.
  Returns:
    The footer URL.

### setFooterURL

    public void setFooterURL(java.lang.String aURL)

  Sets the footer URL.
  Parameters:
    `aURL` - The footer URL.

### getContentURL

    public java.lang.String getContentURL()

  Gets the content URL.
  Returns:
    The content URL.

### setContentURL

    public void setContentURL(java.lang.String aURL)

  Sets the content URL.
  Parameters:
    `aURL` - The content URL.

### getContentColumnCount

    public int getContentColumnCount()

  Gets the content column count URL.
  Returns:
    int - The content column count URL.

### setContentColumnCount

    public void setContentColumnCount(int aCount)

  Sets the content column count.
  Parameters:
    `aCount` - The content column count.

### isSuspended

    public boolean isSuspended()

  Returns the suspended state.
  Returns:
    true if suspended, false if not.

### setSuspended

    public void setSuspended(boolean aBool)

  Returns the suspended state. Suspending a portal allows the Portal Developer to make portal changes on a live portal site. When in the suspended mode, the suspended URL page is used instead of the main portal page (portal.jsp). This static page displays a 'doing maintenance' message to the user.
  Parameters:
    `aBool` - True if you want to suspend service for the portal, false if it is active.

### getSuspendedURL

    public java.lang.String getSuspendedURL()

  Returns the suspended URL.
  Returns:
    The suspended URL.

### setSuspendedURL

    public void setSuspendedURL(java.lang.String aURL)

  Sets the suspended URL.
  Parameters:
    `aURL` - The suspended URL.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved